Package org.jboss.resteasy.core

## Class ResourcePropertyInjector

- java.lang.Object
- - org.jboss.resteasy.core.ResourcePropertyInjector

- All Implemented Interfaces:
    `PropertyInjector`

      public class ResourcePropertyInjector
      extends Object
      implements PropertyInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ResteasyProviderFactory` | `factory` |
    `protected List<org.jboss.resteasy.core.ResourcePropertyInjector.FieldInjector>` | `fields` |
    `protected ResourceClass` | `resourceClass` |
    `protected List<org.jboss.resteasy.core.ResourcePropertyInjector.SetterInjector>` | `setters` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourcePropertyInjector​(ResourceClass resourceClass, ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletionStage<Void>` | `inject​(Object target, boolean unwrapAsync)` | Inject values into annotated properties (fields/setter methods) of the target object.
    `CompletionStage<Void>` | `inject​(HttpRequest request, HttpResponse response, Object target, boolean unwrapAsync)` | Inject values into annotated properties (fields/setter methods) of the target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          protected List<org.jboss.resteasy.core.ResourcePropertyInjector.FieldInjector> fields

    - #### setters

          protected List<org.jboss.resteasy.core.ResourcePropertyInjector.SetterInjector> setters

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### factory

          protected ResteasyProviderFactory factory

  - ### Constructor Detail

    - #### ResourcePropertyInjector

          public ResourcePropertyInjector​(ResourceClass resourceClass,
                                          ResteasyProviderFactory factory)

  - ### Method Detail

    - #### inject

          public CompletionStage<Void> inject​(HttpRequest request,
                                              HttpResponse response,
                                              Object target,
                                              boolean unwrapAsync)
                                       throws Failure

      Description copied from interface: `PropertyInjector`
      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used inside the scope of an HTTP request.
      Specified by:
        `inject` in interface `PropertyInjector`
      Parameters:
        `request` - http request
        `response` - http response
        `target` - target object
        `unwrapAsync` - unwrap async
      Returns:
        `CompletionStage` or null if async isn't needed
      Throws:
        `Failure` - if application failure occurred

    - #### inject

          public CompletionStage<Void> inject​(Object target,
                                              boolean unwrapAsync)

      Description copied from interface: `PropertyInjector`
      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used outside the scope of an HTTP request.
      Specified by:
        `inject` in interface `PropertyInjector`
      Parameters:
        `target` - target object
        `unwrapAsync` - unwrap async
      Returns:
        `CompletionStage` or null if async isn't needed